FSA_ASSEMBLE(1)

NAME
fsa_assemble - Constructs contigs from filtered overlaps and corrected reads

SYNOPSIS
fsa_assemble [options] filterd_overlaps

DESCRIPTION
Constructs contigs from filtered overlaps and corrected reads.

OPTIONS

--min_length=INT

    minimum length of reads default: 0

--min_identity=DOUBLE

    minimum identity of overlaps default: 0

--min_aligned_length=INT

    minimum aligned length of overlaps default: 0

--min_contig_length=INT

    minimum length of contigs default: 500

--read_file=STRING

    read filename default: ""

--overlap_file_type="|m4|m4a|paf|ovl"

    overlap file format. "" = filename extension, "m4" = M4 format, "paf" = PAF format generated by minimap2, "ovl" = OVL format generated by FALCON. default: ""

--output_directory=STRING

    directory for output files default: "."

--select_branch="no|best"

    selecting method when encountering branches in the graph, "no" = do not select any branch, "best" = select the most probable branch default: "no"

--thread_size=INT

    number of threads default: 1

--dump=INT

    for testing, dump intermediate files default: 0

--run_mode=INT

    for testing default: 4

--lfc

    deprecated, for testing

--remove_chimer

    deprecated, remove chimer node

Usage: fsa_assemble [options] filterd_overlaps

    filterd_overlaps

    input filename

--min_length=INT

    minimum length of reads default: 0

--min_identity=DOUBLE

    minimum identity of overlaps default: 0

--min_aligned_length=INT

    minimum aligned length of overlaps default: 0

--min_contig_length=INT

    minimum length of contigs default: 500

--read_file=STRING

    read filename default: ""

--overlap_file_type="|m4|m4a|paf|ovl"

    overlap file format. "" = filename extension, "m4" = M4 format, "paf" = PAF format generated by minimap2, "ovl" = OVL format generated by FALCON. default: ""

--output_directory=STRING

    directory for output files default: "."

--select_branch="no|best"

    selecting method when encountering branches in the graph, "no" = do not select any branch, "best" = select the most probable branch default: "no"

--thread_size=INT

    number of threads default: 1

--dump=INT

    for testing, dump intermediate files default: 0

--run_mode=INT

    for testing default: 4

--lfc

    deprecated, for testing

--remove_chimer

    deprecated, remove chimer node